package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSuperviseOrgan;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganEmpVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 监管机构人员信息管理Service
 *
 * @author czz
 */
@Service
public interface SuperviseOrganEmpService {
    Page<SuperviseOrganEmpVO> superviseOrganEmpList(Page<SuperviseOrganEmpVO> page, String organIds, String organName, String superviseType, String superviseName, String superviseTel, String status);

    void updateEmpStatus(String empId, Short isLock);

    void insertOrUpdateEmpInfo(Long empId, Long spvOrganId, String spvEmpName, String certifType, String certifNum, String gender, Short age, String superviseTel, Short status);

    List<ChSuperviseOrgan> superviseOrganList(Long organId);
}
